#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-1167

### Chapter 12. System Utilities

- Prev

  Redland-1.0.17

- Next

  Sysstat-12.7.9

- Up
- Home

# seatd-0.9.3

## Introduction to seatd

The seatd package provides a universal seat management library. It is what a lot of Wayland compositors use to manage seats, a session for a user in which applications can interact with. It can optionally provide its own seat manager as an alternative to a logind variant, but the instructions provided will use it as a shim, which logind from Systemd-261.2 will be the underlying seat manager.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/kennylevinsen/seatd/archive/0.9.3/seatd-0.9.3.tar.gz

- Download MD5 sum: c1cc200188d31214b88af015b1f19f7b

- Download size: 44 KB

- Estimated disk space required: 4 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

### seatd Dependencies

#### Recommended

Systemd-261.2

## Installation of seatd

Install seatd by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr             \
                --buildtype=release       \
                -D server=disabled        \
                -D libseat-seatd=disabled \
                .. &&

    ninja

To run the test suite, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D server=disabled`: Disables building the seatd daemon.

`-D libseat-seatd=disabled`: This parameter disables building support for the seatd management daemon for `libseat.so` and instead relies on the system-installed logind instead.

## Contents

Installed Programs: None
Installed Library: libseat.so
Installed Directories: none

### Short Descriptions

`libseat.so` | contains functions to process seat management

- Prev

  Redland-1.0.17

- Next

  Sysstat-12.7.9

- Up
- Home